Subject: 回复:Re: bug#35167: About chroot some question on centos6 kernel:

From: "往事随风" <[email-masked]>
Date: Mon, 22 Apr 2019 13:18:57 +0800

Hello Bob Proulx
sorry!It&#39;s not a bug! use the command mount -n is ok!
Thank you very much and sorry for that!

----- 原始邮件 -----
发件人: Bob Proulx<[email-masked]>
收件人: 往事随风<[email-masked]>
抄送人: 35167<[email-masked]>
主题: Re: bug#35167: About chroot some question on centos6 kernel:
日期: 2019-4-22 12:56

close 35167
thanks
Hello 往事随风,
往事随风 wrote:
> OS centos6.10
> kernel vmlinuz-2.6.32-754.el6.x86_64
> hello!
> grub-install in a new disk /mnt/boot;copy /bin/bash and *.so ; chroot /mnt/sysroot is ok!exit and ctrl+d
Sounds like &#39;chroot&#39; worked correctly in the above sequence.
> use the new disk startup,
> "dracut warning can&#39;t mount root filesystemmount :/dev/sda3 already mounted or /sysroot busy
> mount: according to mtab, /dev/sdb3 is already mounted on /mnt/sysroot"
> don&#39;t chroot /mnt/sysroot 
> startup ——success
> 
> why?! I don&#39;t now! 
I have no idea either.
This does not look like a bug report for the &#39;chroot&#39; command from the
GNU Coreutils project however. It looks like a bug report against
&#39;dracut&#39;. As such there isn&#39;t anything that we can do about it here.
I think that is why no one else of the team responded. It didn&#39;t seem
like anything that anyone here could do anything about.
Also the chroot command line utility is simply a thin wrapper around
the chroot(2) kernel system call. It does whatever the kernel does.
Therefore I am going to close the bug in our ticket system. However
please do respond and add any further discussion. We will see it. If
something looks like a bug the ticket will be re-opened.
Bob
来自新浪邮箱触屏版